Zum Inhalt springen
ShopentlyLearn

Produkte · Zugriff auf zukünftige Dateien nach dem Kauf

Diese Operation wurde eingestellt und gibt 409 zurück, ohne Daten zu ändern. Lege den Zugriff für jede digitale Datei über die Empfängerauswahl fest.

PATCH/api/v1/products/{product_id}/file-update-policy

cURL-Anfrage

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/products/example/file-update-policy \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: files-example-update_policy_api_v1_products__product_id__file_update_policy_patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"days":365,"expected_version":1,"mode":"period","months":null}'

Antwort

{
  "error": {
    "code": "resource.state_conflict",
    "fields": null,
    "message": "The current resource state does not allow this operation."
  },
  "meta": {
    "request_id": "example-request"
  }
}

Erforderliche Berechtigungen

Authentifizierung
Zugriffstoken
Verfügbar ab
STANDARD
Berechtigung des Schlüssels
Produktdateien verwalten · Digitale Produktecatalog.product_file:write_digital